/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 80016
 Source Host           : localhost:3306
 Source Schema         : etl-platform

 Target Server Type    : MySQL
 Target Server Version : 80016
 File Encoding         : 65001

 Date: 15/07/2023 20:47:13
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for base_rule
-- ----------------------------
DROP TABLE IF EXISTS `base_rule`;
CREATE TABLE `base_rule`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '规则名称',
  `testItem` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '检测对象',
  `indicators` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '检测指标(1.规范性,2.一致性,3.正确性,4.及时性)',
  `type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '规则类型(1.SQL规则,2.正则规则,3.值域规则,4.标准包)',
  `content` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '规则内容',
  `description` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '规则描述',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据公共规则' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of base_rule
-- ----------------------------
INSERT INTO `base_rule` VALUES (1, '规则名称', '检测对象', '1', '1', '<p>规则描述</p>', '规则描述', '', NULL, '2023-07-15 19:39:03', NULL, NULL);

-- ----------------------------
-- Table structure for data_quality_analysis
-- ----------------------------
DROP TABLE IF EXISTS `data_quality_analysis`;
CREATE TABLE `data_quality_analysis`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `taskName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务名称',
  `taskDescription` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务描述',
  `dataSourceName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据源名称',
  `sourceTable` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '原表',
  `sourceField` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '源字字段',
  `targetTable` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '目标表',
  `targetField` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '目标字段',
  `type` char(2) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '分析类型(0.对比分析,1.列分析,11.列基本分析)',
  `analysisObject` json NULL COMMENT '分析对象',
  `statuses` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '任务状态(0.新建,1.执行中,2.执行成功,3.执行失败)',
  `executionsNumber` int(10) NOT NULL DEFAULT 0 COMMENT '执行次数',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据质量分析' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for data_source
-- ----------------------------
DROP TABLE IF EXISTS `data_source`;
CREATE TABLE `data_source`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据源名称',
  `sourceSystem` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '来源系统',
  `type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据源类型(1.MySQL,2.SQLServer,3.Oracle,4.PostgreSQL,5.MongoDB,6.Redis,7.其他)',
  `ip` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'ip',
  `port` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '端口',
  `serverName` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '服务名称',
  `userName` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户名',
  `password` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '密码',
  `statuses` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '任务状态(0.停用,1.启用)',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据源' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of data_source
-- ----------------------------
INSERT INTO `data_source` VALUES (2, '测试', '宜宾政务', '1', '127.0.0.1', '3306', '政务服务', 'root', '123456', '0', '', NULL, '2023-07-15 19:21:13', NULL, NULL);

-- ----------------------------
-- Table structure for database_rule
-- ----------------------------
DROP TABLE IF EXISTS `database_rule`;
CREATE TABLE `database_rule`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '规则名称',
  `source` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据源名称',
  `sourceTable` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '源表',
  `type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '规则类型(1.SQL规则,2.正则规则,3.值域规则,4.标准包)',
  `expression` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'SQL表达式',
  `prerequisite` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'SQL过滤条件',
  `level` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '等级(1.一般,2.重要,3.严重)',
  `weights` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '权重(1.一般,2.重要,3.关键指标,4.重要指标)',
  `description` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '规则描述',
  `dataType` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '1' COMMENT '类型(1.规范性,2.一致性,3.准确性,4.及时性,5.关联性,6.完整性,7.重复性)',
  `statuses` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '任务状态(0.停用,1.启用)',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据库规则' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of database_rule
-- ----------------------------
INSERT INTO `database_rule` VALUES (1, '规则名称', '数据源名称', '源表', '2', '规则类型', '规则类型', '1', '1', '规则描述', '1', '1', '', NULL, '2023-07-15 18:26:12', NULL, '2023-07-15 19:41:31');

-- ----------------------------
-- Table structure for line_analysis
-- ----------------------------
DROP TABLE IF EXISTS `line_analysis`;
CREATE TABLE `line_analysis`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `taskName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务名称',
  `taskDescription` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务描述',
  `dataSourceName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据源名称',
  `sourceTable` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '源表',
  `analysisObject` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '分析对象',
  `statuses` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '任务状态(0.新建,1.执行中,2.执行成功,3.执行失败)',
  `executionsNumber` int(10) NOT NULL DEFAULT 0 COMMENT '执行次数',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据质量分析' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of line_analysis
-- ----------------------------
INSERT INTO `line_analysis` VALUES (1, '任务名称', '任务名称', '任务名称', '任务名称', '任务名称', '0', 0, '任务名称', NULL, '2023-07-15 20:41:48', NULL, NULL);

-- ----------------------------
-- Table structure for mortals_xhx_area
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_area`;
CREATE TABLE `mortals_xhx_area`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键,自增长',
  `parentId` bigint(20) NULL DEFAULT NULL COMMENT '上级区域ID',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域名称',
  `level` tinyint(4) NULL DEFAULT NULL COMMENT '区域级别，按所处树的节点层次',
  `code` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域编码，按全国省市编码',
  `contactsPeople` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域负责人',
  `contactsMobile` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域负责人电话',
  `childSize` int(11) NULL DEFAULT 0 COMMENT '子区域数量，默认0',
  `maxChildId` int(11) NULL DEFAULT 0 COMMENT '子区域的最大ID，默认0',
  `status` tinyint(4) NULL DEFAULT 1 COMMENT '状态，0停用，1启用',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户ID',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '区域信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_xhx_dept
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_dept`;
CREATE TABLE `mortals_xhx_dept`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `parentId` bigint(20) NULL DEFAULT NULL COMMENT '父id',
  `ancestors` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '祖级列表',
  `deptName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '部门名称',
  `deptStatus` tinyint(2) NOT NULL DEFAULT 1 COMMENT '部门状态(0.停用,1.启用)',
  `orderNum` int(4) NOT NULL DEFAULT 0 COMMENT '顺序',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `deptStatus`(`deptStatus`) USING BTREE,
  INDEX `orderNum`(`orderNum`) USING BTREE,
  INDEX `createUserId`(`createUserId`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '部门信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_xhx_idgenerator
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_idgenerator`;
CREATE TABLE `mortals_xhx_idgenerator`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `idType` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'id类型',
  `idMaxValue` bigint(20) UNSIGNED NOT NULL COMMENT 'id值',
  `remark` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '备注',
  `versionNum` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '版本号，默认0',
  `gmtModify` timestamp(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '最后修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '主键Id生成器' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_idgenerator
-- ----------------------------
INSERT INTO `mortals_xhx_idgenerator` VALUES (1, 'INFO_VERSION_KEY', 1, '基础信息版本号生成因子', 0, '2019-04-18 18:00:00');

-- ----------------------------
-- Table structure for mortals_xhx_menu
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_menu`;
CREATE TABLE `mortals_xhx_menu`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '菜单名称',
  `url` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '连接地址',
  `parentId` bigint(20) NULL DEFAULT NULL COMMENT '父菜单ID，一级菜单的该字段值为-1',
  `orderId` int(11) NULL DEFAULT NULL COMMENT '排序编号',
  `status` tinyint(2) NULL DEFAULT 1 COMMENT '菜单状态，0：禁用，1：启用，默认1',
  `linkType` tinyint(2) NULL DEFAULT 0 COMMENT '链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0',
  `groupId` int(11) NULL DEFAULT 1 COMMENT '分组编号，使用菜单分隔符按该值分隔，默认1',
  `groupName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `imgPath` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主菜单图标，主菜单图标的css样式名',
  `buttonImgPath` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '按钮图标，按钮图标的css样式名',
  `imgCommPath` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '常用菜单图标，常用菜单图标的css样式名',
  `commMenu` tinyint(2) NULL DEFAULT 0 COMMENT '是否常用菜单，0：非常用，1：常用，默认0',
  `menuType` tinyint(2) NULL DEFAULT 0 COMMENT '菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0',
  `authType` tinyint(2) NULL DEFAULT 3 COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9114 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '菜单信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_menu
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (91, '平台配置管理', '', 0, 9999, 1, 0, 0, NULL, 'setting', '', '', 0, 0, 3, NULL, NULL, '');
INSERT INTO `mortals_xhx_menu` VALUES (9001, '主页', '/index', 90, 10, 1, 0, 1, NULL, '', NULL, NULL, 0, 0, 3, '2019-02-19 16:08:09', 1, 'admin');
INSERT INTO `mortals_xhx_menu` VALUES (9101, '用户信息', '/user/list', 91, 10, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9102, '角色信息', '/role/list', 91, 20, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9104, '菜单信息', '/menu/list', 91, 40, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9105, '参数信息', '/param/list', 91, 50, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9106, '任务信息', '/task/list', 91, 60, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9107, '操作日志', '/oper/log/list', 91, 70, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9114, '数据质量分析', '/data/quality/analysis/list', 0, 1, 0, 0, 0, '', 'refresh', NULL, NULL, 0, 0, 1, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9115, '数据质量查探-数据定时探查', '/scheduled/task/list', 9120, 3, 1, 0, 0, '0', NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9116, '数据定时查探详情', '/scheduled/task/detail/list', 0, 1, 0, 0, 0, '', NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9117, '数据公共规则', '/base/rule/list', 0, 1, 0, 0, 0, '', NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9118, '数据库规则-数据规则库配置', '/database/rule/list', 9120, 5, 1, 0, 0, '0', NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9119, '数据源', '/data/source/list', 91, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9120, '数据质量治理', '', 0, 2, 1, 0, 1, NULL, 'refresh', NULL, NULL, 0, 0, 3, '2023-07-15 16:35:15', NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9122, '数据质量查探-数据对比分析', '/quality/analysis/list', 9120, 1, 1, 0, 1, NULL, NULL, NULL, NULL, 0, 0, 3, '2023-07-15 19:26:40', NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9123, '数据质量查探-列分析 ', '/line/analysis/list', 9120, 2, 1, 0, 1, NULL, NULL, NULL, NULL, 0, 0, 3, '2023-07-15 19:28:43', NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9124, ' 数据规则库-公共规则库', '/base/rule/list', 9120, 4, 1, 0, 1, NULL, NULL, NULL, NULL, 0, 0, 3, '2023-07-15 19:34:00', NULL, NULL);

-- ----------------------------
-- Table structure for mortals_xhx_notice
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_notice`;
CREATE TABLE `mortals_xhx_notice`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `title` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '标题',
  `noticeType` tinyint(2) NULL DEFAULT 0 COMMENT '公告类型(0.通知,1.公告)',
  `pubDeptId` bigint(20) NULL DEFAULT NULL COMMENT '发布部门id',
  `pubDeptName` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '发布部门名称',
  `viewPersion` tinyint(2) NOT NULL DEFAULT 0 COMMENT '查看人员(0.全部学员，1.部分学员)',
  `top` tinyint(2) NOT NULL DEFAULT 0 COMMENT '是否置顶(0.否，1.是)',
  `readRequest` tinyint(2) NOT NULL DEFAULT 0 COMMENT '已读要求(0. 学员进入公告详情即标记为已读)',
  `noticeContent` mediumtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '公告内容',
  `filePath` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '公告文件路径',
  `fileName` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '公告文件名称',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `title`(`title`) USING BTREE,
  INDEX `createUserId`(`createUserId`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '学习公告' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_xhx_notice_study
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_notice_study`;
CREATE TABLE `mortals_xhx_notice_study`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `noticeId` bigint(20) NULL DEFAULT NULL COMMENT '公告id',
  `noticetType` tinyint(2) NULL DEFAULT 0 COMMENT '公告类型(0.通知,1.公告,2.行业知识,3.通用知识)',
  `title` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公告标题',
  `userId` bigint(20) NULL DEFAULT NULL COMMENT '用户id',
  `userName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户名称',
  `deptName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '所属部门',
  `noticeStatus` tinyint(2) NOT NULL DEFAULT 0 COMMENT '状态(0.未读,1.已读)',
  `top` tinyint(2) NOT NULL DEFAULT 0 COMMENT '是否置顶(0.否，1.是)',
  `viewTime` datetime(0) NOT NULL COMMENT '查看时间',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `noticeStatus`(`noticeStatus`) USING BTREE,
  INDEX `createUserId`(`createUserId`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '公告学习人员' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_xhx_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_oper_log`;
CREATE TABLE `mortals_xhx_oper_log`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `platformMark` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '平台标识',
  `userId` bigint(20) NULL DEFAULT NULL COMMENT '用户id',
  `userName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户名称',
  `loginName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户登录名',
  `requestUrl` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求地址',
  `content` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作内容，记录操作具体信息，如修改前修改或的数据',
  `ip` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作IP地址',
  `logDate` datetime(0) NULL DEFAULT NULL COMMENT '操作时间',
  `operType` tinyint(2) NULL DEFAULT NULL COMMENT '操作类型，0：新增，1：修改，2：删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '操作日志' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_oper_log
-- ----------------------------
INSERT INTO `mortals_xhx_oper_log` VALUES (1, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 14:28:41', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (2, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 15:29:52', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (3, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 16:04:23', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (4, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 16:07:40', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (5, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 16:08:32', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (6, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 16:12:39', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (7, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 16:13:04', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (8, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 16:13:13', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (9, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 16:15:56', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (10, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 16:23:42', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (11, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 16:24:56', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (12, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 16:29:07', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (13, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 17:34:45', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (14, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 17:53:21', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (15, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 18:09:10', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (16, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 18:10:13', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (17, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 18:50:22', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (18, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 18:52:22', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (19, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 19:24:13', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (20, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '0:0:0:0:0:0:0:1', '2023-07-15 20:13:30', NULL);
INSERT INTO `mortals_xhx_oper_log` VALUES (21, 'etl-manager', 1, '系统管理员', 'admin', '/etl/login/login', '用户登录系统成功!', '127.0.0.1', '2023-07-15 20:43:59', NULL);

-- ----------------------------
-- Table structure for mortals_xhx_param
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_param`;
CREATE TABLE `mortals_xhx_param`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数名称',
  `firstOrganize` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级组织，如：平台配置',
  `secondOrganize` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级组织，如：基础配置',
  `paramKey` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数键，全局唯一',
  `paramValue` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数值',
  `validStatus` tinyint(2) NULL DEFAULT 1 COMMENT '参数有效状态，0：禁用，1：启用，默认1',
  `modStatus` tinyint(2) NULL DEFAULT 4 COMMENT '参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4',
  `displayType` tinyint(2) NULL DEFAULT 0 COMMENT '展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 33 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '参数信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_param
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (1, '项目类型', 'Project', 'projectType', '0', '法律法规', 1, 4, 0, 'projectType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (2, '项目类型', 'Project', 'projectType', '1', '业务知识', 1, 4, 0, 'projectType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (3, '项目类型', 'Project', 'projectType', '2', '行业知识', 1, 4, 0, 'projectType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (4, '项目类型', 'Project', 'projectType', '3', '通用知识', 1, 4, 0, 'projectType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (5, '是否置顶', 'Project', 'top', '0', '否', 1, 4, 0, 'top', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (6, '是否置顶', 'Project', 'top', '1', '是', 1, 4, 0, 'top', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (7, '已读要求', 'Project', 'readRequest', '0', '学员进入学习项目详情即标记为已读', 1, 4, 0, 'readRequest', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (8, '项目类型', 'ProjectStudy', 'projectType', '0', '法律法规', 1, 4, 0, 'projectType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (9, '项目类型', 'ProjectStudy', 'projectType', '1', '业务知识', 1, 4, 0, 'projectType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (10, '项目类型', 'ProjectStudy', 'projectType', '2', '行业知识', 1, 4, 0, 'projectType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (11, '项目类型', 'ProjectStudy', 'projectType', '3', '通用知识', 1, 4, 0, 'projectType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (12, '学习状态', 'ProjectStudy', 'studyStatus', '0', '未学习', 1, 4, 0, 'studyStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (13, '学习状态', 'ProjectStudy', 'studyStatus', '1', '已学习', 1, 4, 0, 'studyStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (14, '是否置顶', 'ProjectStudy', 'top', '0', '否', 1, 4, 0, 'top', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (15, '是否置顶', 'ProjectStudy', 'top', '1', '是', 1, 4, 0, 'top', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (16, '公告类型', 'Notice', 'noticeType', '0', '通知', 1, 4, 0, 'noticeType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (17, '公告类型', 'Notice', 'noticeType', '1', '公告', 1, 4, 0, 'noticeType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (18, '查看人员', 'Notice', 'viewPersion', '0', '全部学员', 1, 4, 0, 'viewPersion', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (19, '查看人员', 'Notice', 'viewPersion', '1', '部分学员', 1, 4, 0, 'viewPersion', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (20, '是否置顶', 'Notice', 'top', '0', '否', 1, 4, 0, 'top', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (21, '是否置顶', 'Notice', 'top', '1', '是', 1, 4, 0, 'top', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (22, '已读要求', 'Notice', 'readRequest', '0', '学员进入公告详情即标记为已读', 1, 4, 0, 'readRequest', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (23, '公告类型', 'NoticeStudy', 'noticetType', '0', '通知', 1, 4, 0, 'noticetType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (24, '公告类型', 'NoticeStudy', 'noticetType', '1', '公告', 1, 4, 0, 'noticetType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (25, '公告类型', 'NoticeStudy', 'noticetType', '2', '行业知识', 1, 4, 0, 'noticetType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (26, '公告类型', 'NoticeStudy', 'noticetType', '3', '通用知识', 1, 4, 0, 'noticetType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (27, '状态', 'NoticeStudy', 'noticeStatus', '0', '未读', 1, 4, 0, 'noticeStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (28, '状态', 'NoticeStudy', 'noticeStatus', '1', '已读', 1, 4, 0, 'noticeStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (29, '是否置顶', 'NoticeStudy', 'top', '0', '否', 1, 4, 0, 'top', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (30, '是否置顶', 'NoticeStudy', 'top', '1', '是', 1, 4, 0, 'top', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (31, '部门状态', 'Dept', 'deptStatus', '0', '停用', 1, 4, 0, 'deptStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (32, '部门状态', 'Dept', 'deptStatus', '1', '启用', 1, 4, 0, 'deptStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (84, '数据源类型', 'DataSource', 'type', '1', 'MySQL', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (85, '数据源类型', 'DataSource', 'type', '2', 'SQLServer', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (86, '数据源类型', 'DataSource', 'type', '3', 'Oracle', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (87, '数据源类型', 'DataSource', 'type', '4', 'PostgreSQL', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (88, '数据源类型', 'DataSource', 'type', '5', 'MongoDB', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (89, '数据源类型', 'DataSource', 'type', '6', 'Redis', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (90, '数据源类型', 'DataSource', 'type', '7', '其他', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (91, '任务状态', 'DataSource', 'statuses', '0', '停用', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (92, '任务状态', 'DataSource', 'statuses', '1', '启用', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (93, '规则类型', 'DatabaseRule', 'type', '1', 'SQL规则', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (94, '规则类型', 'DatabaseRule', 'type', '2', '正则规则', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (95, '规则类型', 'DatabaseRule', 'type', '3', '值域规则', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (96, '规则类型', 'DatabaseRule', 'type', '4', '标准包', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (97, '等级', 'DatabaseRule', 'level', '1', '一般', 1, 4, 0, 'level', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (98, '等级', 'DatabaseRule', 'level', '2', '重要', 1, 4, 0, 'level', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (99, '等级', 'DatabaseRule', 'level', '3', '严重', 1, 4, 0, 'level', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (100, '权重', 'DatabaseRule', 'weights', '1', '一般', 1, 4, 0, 'weights', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (101, '权重', 'DatabaseRule', 'weights', '2', '重要', 1, 4, 0, 'weights', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (102, '权重', 'DatabaseRule', 'weights', '3', '关键指标', 1, 4, 0, 'weights', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (103, '权重', 'DatabaseRule', 'weights', '4', '重要指标', 1, 4, 0, 'weights', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (104, '类型', 'DatabaseRule', 'type', '1', '规范性', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (105, '类型', 'DatabaseRule', 'type', '2', '一致性', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (106, '类型', 'DatabaseRule', 'type', '3', '准确性', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (107, '类型', 'DatabaseRule', 'type', '4', '及时性', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (108, '类型', 'DatabaseRule', 'type', '5', '关联性', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (109, '类型', 'DatabaseRule', 'type', '6', '完整性', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (110, '类型', 'DatabaseRule', 'type', '7', '7.重复性', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (111, '任务状态', 'DatabaseRule', 'statuses', '0', '停用', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (112, '任务状态', 'DatabaseRule', 'statuses', '1', '启用', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (113, '检测指标', 'BaseRule', 'indicators', '1', '规范性', 1, 4, 0, 'indicators', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (114, '检测指标', 'BaseRule', 'indicators', '2', '一致性', 1, 4, 0, 'indicators', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (115, '检测指标', 'BaseRule', 'indicators', '3', '正确性', 1, 4, 0, 'indicators', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (116, '检测指标', 'BaseRule', 'indicators', '4', '及时性', 1, 4, 0, 'indicators', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (117, '规则类型', 'BaseRule', 'type', '1', 'SQL规则', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (118, '规则类型', 'BaseRule', 'type', '2', '正则规则', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (119, '规则类型', 'BaseRule', 'type', '3', '值域规则', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (120, '规则类型', 'BaseRule', 'type', '4', '标准包', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (121, '定时类型', 'ScheduledTask', 'type', '1', '年', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (122, '定时类型', 'ScheduledTask', 'type', '2', '月', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (123, '定时类型', 'ScheduledTask', 'type', '3', '日', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (124, '任务状态', 'ScheduledTask', 'statuses', '0', '新建', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (125, '任务状态', 'ScheduledTask', 'statuses', '1', '执行中', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (126, '任务状态', 'ScheduledTask', 'statuses', '2', '执行成功', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (127, '任务状态', 'ScheduledTask', 'statuses', '3', '执行失败', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (128, '分析类型', 'DataQualityAnalysis', 'type', '0', '对比分析', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (129, '分析类型', 'DataQualityAnalysis', 'type', '1', '列分析', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (130, '分析类型', 'DataQualityAnalysis', 'type', '11', '列基本分析', 1, 4, 0, 'type', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (131, '任务状态', 'DataQualityAnalysis', 'statuses', '0', '新建', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (132, '任务状态', 'DataQualityAnalysis', 'statuses', '1', '执行中', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (133, '任务状态', 'DataQualityAnalysis', 'statuses', '2', '执行成功', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (134, '任务状态', 'DataQualityAnalysis', 'statuses', '3', '执行失败', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (135, '任务状态', 'QualityAnalysis', 'statuses', '0', '新建', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (136, '任务状态', 'QualityAnalysis', 'statuses', '1', '执行中', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (137, '任务状态', 'QualityAnalysis', 'statuses', '2', '执行成功', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (138, '任务状态', 'QualityAnalysis', 'statuses', '3', '执行失败', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (139, '任务状态', 'LineAnalysis', 'statuses', '0', '新建', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (140, '任务状态', 'LineAnalysis', 'statuses', '1', '执行中', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (141, '任务状态', 'LineAnalysis', 'statuses', '2', '执行成功', 1, 4, 0, 'statuses', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (142, '任务状态', 'LineAnalysis', 'statuses', '3', '执行失败', 1, 4, 0, 'statuses', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for mortals_xhx_project
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_project`;
CREATE TABLE `mortals_xhx_project`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `title` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '标题',
  `projectType` tinyint(2) NULL DEFAULT 0 COMMENT '项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)',
  `projectStartTime` datetime(0) NOT NULL COMMENT '开始时间',
  `projectEndTime` datetime(0) NOT NULL COMMENT '结束时间',
  `top` tinyint(2) NOT NULL DEFAULT 0 COMMENT '是否置顶(0.否，1.是)',
  `readRequest` tinyint(2) NOT NULL DEFAULT 0 COMMENT '已读要求(0. 学员进入学习项目详情即标记为已读)',
  `studyContent` mediumtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '学习内容',
  `filePath` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件路径',
  `fileName` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件名称',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `title`(`title`) USING BTREE,
  INDEX `projectType`(`projectType`) USING BTREE,
  INDEX `createUserId`(`createUserId`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '学习项目' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_xhx_project_study
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_project_study`;
CREATE TABLE `mortals_xhx_project_study`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `projectId` bigint(20) NULL DEFAULT NULL COMMENT '项目id',
  `projectType` tinyint(2) NULL DEFAULT 0 COMMENT '项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)',
  `title` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '项目名称',
  `userId` bigint(20) NULL DEFAULT NULL COMMENT '用户id',
  `userName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户名称',
  `deptName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '所属部门',
  `studyStatus` tinyint(2) NOT NULL DEFAULT 0 COMMENT '学习状态(0.未学习,1.已学习)',
  `top` tinyint(2) NOT NULL DEFAULT 0 COMMENT '是否置顶(0.否，1.是)',
  `studyTime` datetime(0) NOT NULL COMMENT '学习时间',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `title`(`title`) USING BTREE,
  INDEX `studyStatus`(`studyStatus`) USING BTREE,
  INDEX `createUserId`(`createUserId`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '项目学习人员' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_xhx_resource
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_resource`;
CREATE TABLE `mortals_xhx_resource`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `url` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '连接地址，多个地址以逗号分隔',
  `authType` tinyint(2) NULL DEFAULT 3 COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `sourceType` tinyint(2) NULL DEFAULT 0 COMMENT '资源类型，0：系统资源，1：开放资源，默认0',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) NULL DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 150014 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '资源信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_resource
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (101001, '系统管理-菜单管理-查看', '/menu/list,/menu/view', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (101002, '系统管理-菜单管理-维护', '/menu/add,/menu/edit,/menu/delete,/menu/save', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (101003, '系统管理-角色管理-查看', '/role/list,/role/view', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (101004, '系统管理-角色管理-维护', '/role/add,/role/edit,/role/save,/role/delete,/role/auth/list,/role/auth/distributionSource,/role/user/distributionUser,/user/list,/role/user/list,/role/user/distributionUser', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (101005, '系统管理-用户管理-查看', '/user/list,/user/view,/role/roleNameByUserId', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (101006, '系统管理-用户管理-维护', '/user/add,/user/edit,/user/delete,/user/save', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (101007, '系统管理-任务设置-查看', '/task/list,/task/view', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (101008, '系统管理-任务设置-维护', '/task/add,/task/edit,/task/delete,/task/save', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (101009, '系统管理-参数设置-查看', '/param/list,/param/view', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (101010, '系统管理-参数设置-维护', '/param/add,/param/edit,/param/delete,/param/save', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (101011, '系统管理-资源管理-查看', '/resource/list,/resource/view', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (101012, '系统管理-资源管理-维护', '/resource/add,/resource/edit,/resource/delete,/resource/save', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (101013, '系统管理-操作日志-查看', '/oper/log/list,/oper/log/view', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (101014, '系统管理-区域管理-查看', '/area/list,/area/view', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (101015, '系统管理-区域管理-维护', '/area/add,/area/edit,/area/delete,/area/save', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150000, '控制台-主页', '/index', 3, 0, '2019-06-01 13:04:18', 1, '系统管理员', NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150001, '公共资源', '/area/list', 2, 0, '2019-06-01 23:56:55', 1, '系统管理员', NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150002, '学习项目-菜单管理-查看', '/project/list,/project/view,/project/info,/project/export,/project/exportExcel,/project/downloadTemplate,/project/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150003, '学习项目-菜单管理-维护', '/project/add,/project/edit,/project/delete,/project/logicDelete,/project/save,/project/importData', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150004, '项目学习人员-菜单管理-查看', '/project/study/list,/project/study/view,/project/study/info,/project/study/export,/project/study/exportExcel,/project/study/downloadTemplate,/project/study/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150005, '项目学习人员-菜单管理-维护', '/project/study/add,/project/study/edit,/project/study/delete,/project/study/logicDelete,/project/study/save,/project/study/importData', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150006, '学习公告-菜单管理-查看', '/notice/list,/notice/view,/notice/info,/notice/export,/notice/exportExcel,/notice/downloadTemplate,/notice/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150007, '学习公告-菜单管理-维护', '/notice/add,/notice/edit,/notice/delete,/notice/logicDelete,/notice/save,/notice/importData', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150008, '公告学习人员-菜单管理-查看', '/notice/study/list,/notice/study/view,/notice/study/info,/notice/study/export,/notice/study/exportExcel,/notice/study/downloadTemplate,/notice/study/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150009, '公告学习人员-菜单管理-维护', '/notice/study/add,/notice/study/edit,/notice/study/delete,/notice/study/logicDelete,/notice/study/save,/notice/study/importData', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150010, '部门信息-菜单管理-查看', '/dept/list,/dept/view,/dept/info,/dept/export,/dept/exportExcel,/dept/downloadTemplate,/dept/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150011, '部门信息-菜单管理-维护', '/dept/add,/dept/edit,/dept/delete,/dept/logicDelete,/dept/save,/dept/importData', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150012, '学习统计-菜单管理-查看', '/study/stat/list,/study/stat/view,/study/stat/info,/study/stat/export,/study/stat/exportExcel,/study/stat/downloadTemplate,/study/stat/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150013, '学习统计-菜单管理-维护', '/study/stat/add,/study/stat/edit,/study/stat/delete,/study/stat/logicDelete,/study/stat/save,/study/stat/importData', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150014, '数据质量分析-菜单管理-查看', '/data/quality/analysis/list,/data/quality/analysis/view,/data/quality/analysis/info,/data/quality/analysis/export,/data/quality/analysis/exportExcel,/data/quality/analysis/downloadTemplate,/data/quality/analysis/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150015, '数据质量分析-菜单管理-维护', '/data/quality/analysis/add,/data/quality/analysis/edit,/data/quality/analysis/delete,/data/quality/analysis/logicDelete,/data/quality/analysis/save,/data/quality/analysis/importData', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150016, '数据定时查探-菜单管理-查看', '/scheduled/task/list,/scheduled/task/view,/scheduled/task/info,/scheduled/task/export,/scheduled/task/exportExcel,/scheduled/task/downloadTemplate,/scheduled/task/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150017, '数据定时查探-菜单管理-维护', '/scheduled/task/add,/scheduled/task/edit,/scheduled/task/delete,/scheduled/task/logicDelete,/scheduled/task/save,/scheduled/task/importData', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150018, '数据定时查探详情-菜单管理-查看', '/scheduled/task/detail/list,/scheduled/task/detail/view,/scheduled/task/detail/info,/scheduled/task/detail/export,/scheduled/task/detail/exportExcel,/scheduled/task/detail/downloadTemplate,/scheduled/task/detail/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150019, '数据定时查探详情-菜单管理-维护', '/scheduled/task/detail/add,/scheduled/task/detail/edit,/scheduled/task/detail/delete,/scheduled/task/detail/logicDelete,/scheduled/task/detail/save,/scheduled/task/detail/importData', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150020, '数据公共规则-菜单管理-查看', '/base/rule/list,/base/rule/view,/base/rule/info,/base/rule/export,/base/rule/exportExcel,/base/rule/downloadTemplate,/base/rule/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150021, '数据公共规则-菜单管理-维护', '/base/rule/add,/base/rule/edit,/base/rule/delete,/base/rule/logicDelete,/base/rule/save,/base/rule/importData', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150022, '数据库规则-菜单管理-查看', '/database/rule/list,/database/rule/view,/database/rule/info,/database/rule/export,/database/rule/exportExcel,/database/rule/downloadTemplate,/database/rule/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150023, '数据库规则-菜单管理-维护', '/database/rule/add,/database/rule/edit,/database/rule/delete,/database/rule/logicDelete,/database/rule/save,/database/rule/importData', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150024, '数据源-菜单管理-查看', '/data/source/list,/data/source/view,/data/source/info,/data/source/export,/data/source/exportExcel,/data/source/downloadTemplate,/data/source/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (150025, '数据源-菜单管理-维护', '/data/source/add,/data/source/edit,/data/source/delete,/data/source/logicDelete,/data/source/save,/data/source/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- Table structure for mortals_xhx_role
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role`;
CREATE TABLE `mortals_xhx_role`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色名称',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `roleType` tinyint(2) NULL DEFAULT 2 COMMENT '角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2',
  `customerId` bigint(20) NULL DEFAULT NULL COMMENT '归属客户ID',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) NULL DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_role
-- ----------------------------
INSERT INTO `mortals_xhx_role` VALUES (1, '管理员', '类似admin', 0, NULL, '2019-03-04 11:41:06', 1, 'admin', NULL);

-- ----------------------------
-- Table structure for mortals_xhx_role_auth
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_auth`;
CREATE TABLE `mortals_xhx_role_auth`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) NULL DEFAULT NULL COMMENT '角色ID',
  `resourceId` bigint(20) NULL DEFAULT NULL COMMENT '资源ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色资源权限' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_xhx_role_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_user`;
CREATE TABLE `mortals_xhx_role_user`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) NULL DEFAULT NULL COMMENT '角色ID',
  `userId` bigint(20) NULL DEFAULT NULL COMMENT '用户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色用户' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_xhx_site
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_site`;
CREATE TABLE `mortals_xhx_site`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID，主键，自增长',
  `siteName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '站点名',
  `parentId` bigint(11) NOT NULL COMMENT '父级id',
  `ancestors` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '祖级列表，逗号分隔',
  `address` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '地址',
  `mobile` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '电话',
  `introduce` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '单位介绍',
  `workday1` tinyint(1) NULL DEFAULT NULL COMMENT '周一 1上班 0不上',
  `workday2` tinyint(1) NULL DEFAULT NULL COMMENT '周二 1上班 0不上',
  `workday3` tinyint(1) NULL DEFAULT NULL COMMENT '周三 1上班 0不上',
  `workday4` tinyint(1) NULL DEFAULT NULL COMMENT '周四 1上班 0不上',
  `workday5` tinyint(1) NULL DEFAULT NULL COMMENT '周五 1上班 0不上',
  `workday6` tinyint(1) NULL DEFAULT NULL COMMENT '周六 1上班 0不上',
  `workday7` tinyint(1) NULL DEFAULT NULL COMMENT '周日 1上班 0不上',
  `number` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '站点编号',
  `summary` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '中心介绍',
  `orderNum` int(9) NULL DEFAULT 0 COMMENT '排序字段',
  `status` tinyint(2) NULL DEFAULT 1 COMMENT '站点状态 ，0，停用，1，正常 默认1',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '变更时间',
  `updateUser` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '变更用户loginName',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `createUser` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建用户loginName',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '站点信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_xhx_study_stat
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_study_stat`;
CREATE TABLE `mortals_xhx_study_stat`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点Id，来源基础服务平台',
  `projectTotalCount` int(9) NULL DEFAULT 0 COMMENT '题目总数',
  `projectAddCount` int(9) NULL DEFAULT 0 COMMENT '昨日新增项目数量',
  `studyPersonCount` int(9) NULL DEFAULT 0 COMMENT '学习人数数量',
  `studyPersonRatio` double(6, 2) NULL DEFAULT 0.00 COMMENT '学习率',
  `unStudyPersonCount` int(9) NOT NULL DEFAULT 0 COMMENT '未学习人数数量',
  `unStudyPersonRatio` double(6, 2) NOT NULL DEFAULT 0.00 COMMENT '未学习率',
  `pushTotalCount` int(9) NOT NULL DEFAULT 0 COMMENT '今日消息推送数量',
  `pushAddCount` int(9) NOT NULL DEFAULT 0 COMMENT '昨日新增减少数量',
  `year` int(9) NOT NULL COMMENT '年',
  `month` int(9) NOT NULL COMMENT '月',
  `day` int(9) NOT NULL COMMENT '日',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `siteId`(`siteId`) USING BTREE,
  INDEX `projectTotalCount`(`projectTotalCount`) USING BTREE,
  INDEX `projectAddCount`(`projectAddCount`) USING BTREE,
  INDEX `unStudyPersonCount`(`unStudyPersonCount`) USING BTREE,
  INDEX `unStudyPersonRatio`(`unStudyPersonRatio`) USING BTREE,
  INDEX `pushTotalCount`(`pushTotalCount`) USING BTREE,
  INDEX `pushAddCount`(`pushAddCount`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '学习统计' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_xhx_table_index
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_table_index`;
CREATE TABLE `mortals_xhx_table_index`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `tableName` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表名称',
  `tableMark` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表标识',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '分表索引信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_xhx_task
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_task`;
CREATE TABLE `mortals_xhx_task`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `taskKey` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务关键字，区分任务执行流程',
  `status` tinyint(2) NULL DEFAULT 0 COMMENT '任务状态，0：未启动，1：执行中，默认0',
  `excuteService` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务执行服务',
  `excuteParam` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '任务执行参数',
  `excuteHost` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔',
  `excuteStrategy` tinyint(2) NULL DEFAULT 1 COMMENT '执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1',
  `excuteDate` int(11) NULL DEFAULT 0 COMMENT '执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0',
  `excuteTime` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '00' COMMENT '执行时间，格式：HH:mm，默认：00:00',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `lastExcuteHost` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最后执行主机',
  `lastExcuteTime` datetime(0) NULL DEFAULT NULL COMMENT '最后执行时间',
  `interimExcuteStatus` tinyint(2) NULL DEFAULT 0 COMMENT '临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '任务信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_task
-- ----------------------------
INSERT INTO `mortals_xhx_task` VALUES (2, '分表创建任务', 'tableIndexService', 0, 'tableIndexService', NULL, NULL, 1, 0, '00:30', NULL, '192.168.1.106', '2021-08-18 00:30:01', 0, '2021-08-12 11:07:23', 1, '系统管理员');

-- ----------------------------
-- Table structure for mortals_xhx_uploadfile
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_uploadfile`;
CREATE TABLE `mortals_xhx_uploadfile`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID，主键，自增长',
  `fileName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件名称',
  `filePath` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件路径',
  `fileType` tinyint(2) NULL DEFAULT NULL COMMENT '文件类型，1 excel ,2 img,3 zip, 4 pdf',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUser` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '上传文件' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_xhx_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_user`;
CREATE TABLE `mortals_xhx_user`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID，主键，自增长',
  `loginName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录名',
  `loginPwd` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录密码，使用md5双次加密',
  `loginLimitAddress` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录',
  `realName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户名',
  `mobile` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户手机号',
  `phone` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户联系电话',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户邮箱',
  `qq` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'QQ号码',
  `userType` tinyint(2) NULL DEFAULT NULL COMMENT '用户类型(0.系统用户,1.后台管理,2.工作人员)',
  `deptId` bigint(20) NULL DEFAULT NULL COMMENT '用户所属部门id',
  `deptName` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属部门名称',
  `siteIds` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属站点id,多个逗号分隔',
  `areaCodes` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属区域code,多个逗号分隔',
  `status` tinyint(2) NULL DEFAULT NULL COMMENT '用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  `lastLoginTime` datetime(0) NULL DEFAULT NULL COMMENT '最后一次登录时间',
  `lastLoginAddress` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最后一次登录地址',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户信息业务' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_user
-- ----------------------------
INSERT INTO `mortals_xhx_user` VALUES (1, 'admin', '43442676c74ae59f219c2d87fd6bad52', NULL, '系统管理员', '13808095770', NULL, NULL, NULL, 0, NULL, NULL, '', '', 1, '2022-06-02 09:12:26', 1, 'admin', '2022-06-02 09:12:26', '127.0.0.1');

-- ----------------------------
-- Table structure for mortals_xhx_valid_code
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_valid_code`;
CREATE TABLE `mortals_xhx_valid_code`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `code` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验证码',
  `url` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '校验地址，email校验使用',
  `mobile` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '校验手机号',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '校验邮箱',
  `type` tinyint(2) NULL DEFAULT 0 COMMENT '校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0',
  `sessionId` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '会话ID',
  `ip` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'IP地址',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `lapseTime` datetime(0) NULL DEFAULT NULL COMMENT '失效时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '验证码信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for quality_analysis
-- ----------------------------
DROP TABLE IF EXISTS `quality_analysis`;
CREATE TABLE `quality_analysis`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `taskName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务名称',
  `taskDescription` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务描述',
  `dataSourceName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据源名称',
  `sourceTable` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '源表',
  `sourceField` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '源字段',
  `targetTable` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '目标表',
  `targetField` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '目标字段',
  `statuses` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '任务状态(0.新建,1.执行中,2.执行成功,3.执行失败)',
  `executionsNumber` int(10) NOT NULL DEFAULT 0 COMMENT '执行次数',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据质量分析' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of quality_analysis
-- ----------------------------
INSERT INTO `quality_analysis` VALUES (1, '质量分析', '质量分析', '质量分析', '质量分析', '质量分析', '质量分析', '质量分析', '0', 0, '', NULL, '2023-07-15 20:40:55', NULL, NULL);

-- ----------------------------
-- Table structure for scheduled_task
-- ----------------------------
DROP TABLE IF EXISTS `scheduled_task`;
CREATE TABLE `scheduled_task`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `taskName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务名称',
  `taskDescription` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务描述',
  `dataSourceName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据源名称',
  `sourceTable` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '源表',
  `sourceField` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '依据字段',
  `type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '定时类型(1.年,2.月,3.日)',
  `startTime` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '开始时间',
  `endTime` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '结束时间',
  `statuses` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '任务状态(0.新建,1.执行中,2.执行成功,3.执行失败)',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据定时查探' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of scheduled_task
-- ----------------------------
INSERT INTO `scheduled_task` VALUES (1, '任务名称', '任务描述', '数据源名称', '源表', '依据字段', '3', '开始时间', '结束时间', '1', '备注', NULL, '2023-07-15 18:12:04', NULL, '2023-07-15 18:12:50');

-- ----------------------------
-- Table structure for scheduled_task_detail
-- ----------------------------
DROP TABLE IF EXISTS `scheduled_task_detail`;
CREATE TABLE `scheduled_task_detail`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `taskId` bigint(20) NOT NULL COMMENT '任务主键',
  `startTime` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '开始时间',
  `endTime` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '结束时间',
  `number` int(10) NOT NULL COMMENT '数据量',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据定时查探详情' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
